2
pi@raspberrypi:~ $ sudo dpkg -i anydesk_6.0.1-1_armhf.deb
(Reading database ... 94130 files and directories currently installed.)
Preparing to unpack anydesk_6.0.1-1_armhf.deb ...
Failed to stop anydesk.service: Unit anydesk.service not loaded.
Unpacking anydesk:armhf (6.0.1) over (6.0.1) ...
dpkg: dependency problems prevent configuration of anydesk:armhf:
 anydesk:armhf depends on libglib2.0-0 (>= 2.16.0).
 anydesk:armhf depends on libgtk2.0-0 (>= 2.20.1).
 anydesk:armhf depends on libstdc++6 (>= 4.1.1).
 anydesk:armhf depends on libx11-6.
 anydesk:armhf depends on libxcb-shm0.
 anydesk:armhf depends on libxcb1.
 anydesk:armhf depends on libpango-1.0-0.
 anydesk:armhf depends on libcairo2.
 anydesk:armhf depends on libxrandr2 (>= 1.3).
 anydesk:armhf depends on libx11-xcb1.
 anydesk:armhf depends on libxtst6.
 anydesk:armhf depends on libxfixes3.
 anydesk:armhf depends on libxdamage1.
 anydesk:armhf depends on libxkbfile1.
 anydesk:armhf depends on libegl1-mesa.
 anydesk:armhf depends on libgl1.

dpkg: error processing package anydesk:armhf (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Errors were encountered while processing:
 anydesk:armhf

I also tried gdebi:

pi@raspberrypi:~ $ gdebi anydesk_6.0.1-1_armhf.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading state information... Done
This package is uninstallable
Cannot install 'libgtk2.0-0:armhf'

This didn´t help either:

sudo apt install -f

1 Answer 1

2

Either you don't have the armhf architecture set up in DPKG, or you don't have http://archive.raspbian.org/raspbian/dists/buster/main/binary-armhf/ in your APT sources. Or maybe you just didn't update your system for a long time.

The former should be fixed by running dpkg --add-architecture armhf.

The latter requires you to add APT sources as described here. Look specifically for a line similar to the one below, and add it if it's missing:

deb http://archive.raspbian.org/raspbian buster main contrib non-free

Don't forget to run sudo apt update to pick up any changes you have made.

2
  • -bash: deb: command not found but I think I tried these before, but let me know how I can install deb because apt install deb did not work and I can´t find a solution for it
    – Badjano
    Nov 27, 2020 at 19:37
  • @Badjano deb http... is not a command. It's a line you put in your apt sources list. Nov 30, 2020 at 9:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.